import React, { PropsWithChildren } from 'react';
import { TableInstance } from 'react-table';
import { MaterialReactTableProps } from './MaterialReactTable';
import { UseMRTCalcs } from './utils/useMRTCalcs';
export interface UseMaterialReactTable<D extends {}> extends MaterialReactTableProps<D>, UseMRTCalcs {
    currentEditingRowId: string | null;
    densePadding: boolean;
    setCurrentEditingRowId: (currentRowEditingId: string | null) => void;
    setDensePadding: (densePadding: boolean) => void;
    setShowFilters: (showFilters: boolean) => void;
    showFilters: boolean;
    tableInstance: TableInstance<D>;
}
export declare const MaterialReactTableProvider: <D extends {}>(props: React.PropsWithChildren<MaterialReactTableProps<D>>) => JSX.Element;
export declare const useMaterialReactTable: <D extends {}>() => UseMaterialReactTable<D>;
